Plesk installation fails: The installation of the package 'IIS-Metabase' failed with code 3017

Created:

2017-01-09 19:25:52 UTC

Modified:

2017-08-08 13:41:01 UTC

0

Was this article helpful?


Have more questions?

Submit a request

Plesk installation fails: The installation of the package 'IIS-Metabase' failed with code 3017

Applicable to:

  • Plesk for Windows

Issue Symptoms

Plesk installation fails with the error:


Enabling IIS Metabase and IIS 6 configuration compatibility...
pkgmgr /iu:IIS-WebServerManagementTools;IIS-IIS6ManagementCompatibility;IIS-Metabase failed with error 3017(0x00000bc9). Output:
ERROR: The installation of the package 'IIS-Metabase' failed with code 3017. (install:
Enabling IIS Metabase and IIS 6 configuration compatibility...)
Not all packages were installed.
Please contact product technical support.

Conditions

The cause is not clear.

Resolution

1. Install IIS Metabase feature manually using Windows Server Manager:

  • Click Start, click Administrative Tools and then Server Manager.
  • In the left navigation pane, expand Roles, and then right-click Web Server (IIS) and select Add Role Services.
  • On the Select Role Services pane, scroll down to IIS 6 Management Compatibility.
  • Select the check boxes for IIS 6 Metabase Compatibility and IIS 6 Management Console.
  • Click Next from the Select Role Services pane, and then click Install at the Confirm Installations Selections pane.
  • Click Close to leave the Add Role Services wizard.

2. Run Plesk installer again and continue with installation.

Have more questions? Submit a request
Please sign in to leave a comment.